package cn.palmte.work.model.process;

import java.math.BigDecimal;
import java.util.List;

import lombok.EqualsAndHashCode;
import lombok.Setter;
import lombok.ToString;

/**
 * 采购合同流程预算采购明细的数量记录
 *
 * @author <a href="https://github.com/TAKETODAY">Harry Yang</a>
 * @since 2.0 2022/12/28 15:00
 */
@Setter
@ToString
@EqualsAndHashCode
public class BudgetPurchaseAmountModel {

  public Integer amountId;

  // 所有的
  public BigDecimal amount;

  // 本次采购数量
  public BigDecimal amountCurrent;

  // 项目的成本明细ID
  public Integer budgetCostId;

  public List<BudgetPurchaseDetailModel> details;
}
